import React from 'react'
import Styles from './NoResource.module.css'

const NoResource = ({ source, message }) => {
  return (
    <div className={Styles.noresource}>
      <h1>
        {message
          ? message
          : `No resources found from ${source} for this question. Please refer
          the extra resouces section to find more info.`}
      </h1>
    </div>
  )
}

export default NoResource
