import React, { useContext, useEffect } from 'react'
import { Box, Typography } from '@material-ui/core'
import { AuthContext } from '../../../store/auth'
import InstructionStepper from './InstructionStepper'

const TelegramInstructions = () => {
  const { isAuthenticated, authState } = useContext(AuthContext)
  const username = authState.userInfo?.username
  useEffect(() => {
    // if (!isAuthenticated()) {
    //   window.location.href = '/'
    // }
  }, [])

  return (
    <Box sx={{ mt: '10px' }}>
      <Typography variant="h5" align="center">
        Hi{username ? ` ${username},` : ','} Let's connect your Telegram account
      </Typography>
      <InstructionStepper />
    </Box>
  )
}

export default TelegramInstructions
